| Home | Libraries | People | FAQ | More

#### dynamic_buffer (4 of 4 overloads)

Create a new dynamic buffer that represents the given vector.

    template<
        typename Elem,
        typename Allocator>
    dynamic_vector_buffer< Elem, Allocator > dynamic_buffer(
        std::vector< Elem, Allocator > & data,
        std::size_t max_size);

###### Return Value

`dynamic_vector_buffer<Elem, Allocator>(data, max_size)`.